<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Articulo;
use App\Models\ArticuloLocal2;
use App\Models\SalidaArticulo;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SalidaArticuloController extends Controller
{
    public function index()
    {
        $data = Articulo::all();
        return view('admin.salidas.index', compact('data'));
    }
    public function store(Request $request)
    {

        SalidaArticulo::create($request->all());

        $atr = Articulo::find($request->articulo_id);
        $atr->stock = $atr->stock - $request->total;
        $atr->save();

        if($request->local == '2' || $request->local == '1') {

            $art = ArticuloLocal2::where('cod_barras', $atr->cod_barras)->first();
            $art->stock += $request->total;
            $art->save();

        }

        return back()->with(['info' => 'Salida de Articulo guardado']);
    }
    public function update(Request $request, $id)
    {
        SalidaArticulo::find($id)->update($request->all());
        return back()->with(['info' => 'Salida de Articulo guardado']);
    }
    public function show($id)
    {
        $data = SalidaArticulo::find($id);
        return view('admin.Salida de Articulo.show', compact('data'));
    }
    public function delete($id)
    {
        $data = SalidaArticulo::find($id)->delete();
        return back()->with(['info' => 'Salida de Articulo eliminado']);
    }
}
