<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Articulo;
use App\Models\Caja;
use App\Models\Cliente;
use App\Models\DeudaCliente;
use App\Models\Factura;
use App\Models\Ventas;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Response;

class VentasController extends Controller
{
    public function index()
    {
        // $articulos = DB::table('articulos as art')
        //     ->join('categoria as cat', 'art.categoria_id', '=', 'cat.id')
        //     ->select('art.id', 'art.nombre', 'art.stock', 'art.p_venta', 'art.cod_barras as code', 'art.descripcion', 'cat.nombre as catNom', 'art.descripcion_interna', 'art.img')
        //     ->where('art.stock', '>', 0)
        //     ->where('art.deleted_at', null)
        //     ->get();
        $cliente = Cliente::all();
        return view('admin.ventas.ventasV2', ['clientes' => $cliente]);
    }

    function findArticle(Request $request)
    {

        $articulo = DB::table('articulos as art')
            ->join('categoria as cat', 'art.categoria_id', '=', 'cat.id')

            ->select('art.id', 'art.nombre', 'art.stock', 'art.p_venta', 'art.cod_barras as code', 'art.descripcion', 'cat.nombre as catNom', 'art.descripcion_interna', 'art.img', 'art.deleted_at', 'art.descripcion', 'art.descripcion_interna')

            ->orwhere('art.descripcion', 'like', '%' . $request->codigo . '%')
            ->orwhere('art.cod_barras', 'like', '%' . $request->codigo . '%')
            ->orwhere('art.nombre', 'like', '%' . $request->codigo . '%')
            ->get();


        return Response::json($articulo);
    }

    // crea una venta
    public function store(Request $data)
    {

        $vuelta =  count($data->idArticulos);
        $factura = new Factura();

        $newdescuento = 0;
        if ($data->descuento_mayo) {
            $factura->descuento = $data->descuento_mayo;
            $newdescuento =  $data->totalventa -  $data->descuento_mayo;
            $mayorista = true;
        }

        if ($data->descripcion) {
            $factura->descripcion =  $data->descripcion;
        }
        // dd($data->all());
        $factura->total = $data->totalventa;
        // $factura->mayoristas = false;
        // asiganos el nuevo descueto para mayoriastas
        $factura->descuento = $data->total_descuento;
        $factura->tipo = $data->tipo;
        $factura->cancela = $data->efectivo;
        $factura->user_id = Auth::user()->id;
        // $factura->total_des = $newdescuento;
        $factura->save();

        $f_temp = Factura::find($factura->id);

        // dd($factura);
        $cliente = $data->cliente;
        // dd($data->crediro);
        $credito = false;
        if ($data->credito) {
            $credito = true;
        }
        if ($data->credito == null) {
            $credito = false;
        }

        if (!$data->cliente) {
            $cliente = 14;
        }

        $cli = Cliente::find($cliente);
        $f_temp->nombre = $cli->nombre;
        $f_temp->nit = $cli->nit;
        $f_temp->direccion = $cli->direccion;
        $f_temp->save();

        // para description de ventas al credito
        $des = array();

        for ($i = 0; $i < $vuelta; $i++) {
            $venta = new Ventas();
            $venta->articulo_id = $data->idArticulos[$i];
            $venta->cliente_id = $cliente;
            $venta->factura_id = $factura->id;
            $venta->credito = $credito;
            $venta->cantidad = $data->cantidad[$i];
            $venta->descuento = $data->descuento[$i];
            $venta->total = $data->subtotal[$i];
            $venta->user_id = Auth::user()->id;
            $venta->save();
            $art = Articulo::find($data->idArticulos[$i]);
            $art->stock -= $data->cantidad[$i];
            $art->save();
            array_push($des, 'Compra: ' .  $art->nombre .  ' Cantidad: ' .  $data->cantidad[$i] . '<br>');
        }
        array_push($des, "CREDITO VENTA REGISTRADA EN RECIBO: $factura->id");
        if ($data->tipo === 'CREDITO') $this->createDeudaToClient($cliente, $factura->total, $factura->id, $des);
        return back()->with(['info' => 'Venta Registrada con Exito', 'color' => 'success', 'factura' => $factura->id, 'clienteid' => $cliente]);
    }

    // paga una venta al credito
    public function pagarCredito($id)
    {
        $venta = Ventas::find($id);

        $venta->credito = false;

        $venta->save();

        return back()->with(['info' => 'Articulo Cancelado', 'color' => 'success']);
    }

    // imprime la factura de una venta realizada
    public function ventaPrint($idFactura, $idCliente)
    {
        $deuda = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->join('users  as user', 'ven.user_id', '=', 'user.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.descuento',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.nit',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.p_venta',
                'art.descripcion',
                'fac.descuento as facDescuento',
                'fac.total as facTotal',
                'fac.descripcion as facDesc',
                'user.name as userName',
            )
            ->where('ven.factura_id', $idFactura)
            ->get();

        $facturaVenta = Factura::find($idFactura);
        $totalDeuda = 0;
        $nombre = '';
        $fecha = date('Y');
        $nit = 0;
        $descuento_articulo = 0;
        $sin_desc = 0;
        $mayorista = false;
        $facTotal = 0;
        $usuario = '';
        $aux3 = 0;
        $direccion = '';
        $telefono = '';
        foreach ($deuda as $deu) {
            $totalDeuda =  $deu->total + $totalDeuda;
            $nombre = $deu->nombre;
            $fecha = $deu->fechaVenta;
            $nit = $deu->nit;
            $telefono = $deu->telefono1;
            $direccion = $deu->direccion;
            $descuento_articulo = $descuento_articulo + $deu->descuento;
            $sin_desc = ($sin_desc + $deu->p_venta) * $deu->cantidad;
            $facTotal = $deu->facTotal;
            $usuario = $deu->userName;
        }

        // dd($facturaVenta);
        return view('admin.reports.ventas.venta', ['deuda' => $deuda, 'totalDeuda' => $totalDeuda, 'cliente' => $nombre, 'factura' => $facturaVenta, 'fecha' => $fecha, 'nit' => $nit, 'descuetoArticulos' => $descuento_articulo, 'sin_desc' => $sin_desc, 'mayorista' => $mayorista, 'facTotal' => $facTotal, 'totalSinDecMayo' => $aux3, 'usuario' => $usuario, 'telefono' => $telefono, 'direccion' => $direccion]);
    }


    // devuelve el hoitorial de las ventas realizadas
    public function historial(Request $request)
    {
        $show = false;
        $contado = null;
        if ($request->fecha) {
            $show = true;
            $contado = DB::table('venta_articulos AS ven')
                ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
                ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
                ->select(
                    'ven.id',
                    'ven.factura_id',
                    'ven.articulo_id',
                    'ven.cantidad',
                    'ven.cliente_id',
                    'ven.total',
                    'ven.created_at as fechaVenta',
                    'cli.nombre',
                    'cli.direccion',
                    'cli.telefono1',
                    'cli.telefono2',
                    'art.nombre as nomArt',
                    'art.cod_barras',
                    'art.descripcion'
                )
                ->whereDate('ven.created_at', $request->fecha)
                ->groupBy('ven.factura_id')
                ->get();
        }

        return view('admin.ventas.historial', ['contado' => $contado, 'show' => $show]);
    }

    // elimina una venta y actualiza el stock en los articulos
    public function destroy($id, $idArt)
    {
        $venta = Ventas::where('factura_id', $id)->get();
        foreach ($venta as $venta) {
            $articulo = Articulo::find($venta->articulo_id);
            $articulo->stock = $articulo->stock + $venta->cantidad;
            $articulo->save();
            $venta->delete();
        }

        Factura::find($id)->delete();
        return back()->with(['info' => 'Venta Anulda Con Exito', 'color' => 'danger']);
    }

    // devuelve la vista para los reportes
    public function reportes()
    {
        return view('admin.ventas.reportes');
    }

    // devuelve la vista para reporte de todas las ventas 
    public function reportesVentasAll(Request $data)
    {
        $ventas = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.descuento',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'art.p_costo',
                'fac.total as facTotal',
                'fac.descuento  as facDec',
                'fac.id  as facid',
                'fac.descripcion as facDes',
                'fac.tipo'
            )
            ->whereMonth('ven.created_at', $data->mes)
            ->whereYear('ven.created_at', $data->ano)
            ->get();


        $total = 0;
        foreach ($ventas as $ven) {
            $total = $ven->total + $total;
            // echo $total, '.', $ven->total, '<br>';
        }

        $fac = Factura::whereMonth('created_at', $data->mes)
            ->whereYear('created_at', $data->ano)
            ->get();

        $descuentosG = 0;
        foreach ($fac as $f) {
            $descuentosG += $f->descuento;
        }

        return view('admin.reports.ventas.ventas', [
            'descuentosG' => $descuentosG,
            'ventas' => $ventas,
            'total' => $total,
            'mes' => $data->mes,
            'ano' => $data->ano,
            'facturas' => $fac
        ]);
    }

    // devuelve la vista para imprimir reportes de ventas al contado
    public function reportesVentasContado(Request $request)
    {
        $data = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.nit',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'art.p_costo',
                'ven.descuento',
                'fac.tipo'
            )
            ->where('ven.credito', 0)
            ->whereBetween('ven.created_at', [$request->inicio,  $request->fin])
            ->get();


        $total = 0;
        foreach ($data as $ven) {
            $total = $ven->total + $total;
        }



        return view('admin.reports.ventas.ventas', ['ventas' => $data, 'total' => $total, 'tipo' => 'al contado', 'mes' => $request->mes, 'ano' => $request->ano]);
    }

    // devuelve la vista par imprimir reportes de ventas al credito
    public function reportesVentasCredito(Request $data)
    {
        $ventas = $this->ventasCrediro($data->mes, $data->ano);
        $total = 0;
        foreach ($ventas as $ven) {
            $total = $ven->total + $total;
        }


        return view('admin.reports.ventas.ventas', ['ventas' => $ventas, 'total' => $total, 'tipo' => 'al credito', 'mes' => $data->mes, 'ano' => $data->ano]);
    }


    // ---------------------------------------------------
    // ventas all
    public function allventas($mes, $ano)
    {
        $ventas = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.descuento',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'fac.total as facTotal',
                'fac.descuento  as facDec',
                'fac.id  as facid',
                'fac.descripcion as facDes'
            )
            ->whereMonth('ven.created_at', $mes)
            ->whereYear('ven.created_at', $ano)
            // ->where('ven.mayorista' ,'!=', true)
            ->get();

        return $ventas;
    }

    // ventas al credito
    public function ventasCrediro($mes, $ano)
    {
        $credito = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'art.p_costo',
                'ven.descuento'
            )
            ->where('ven.credito', 1)
            ->whereMonth('ven.created_at', $mes)
            ->whereYear('ven.created_at', $ano)
            ->get();
        return $credito;
    }


    public function ventasDia()
    {
        $ventas = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.descuento',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'art.p_costo',
                'fac.total as facTotal',
                'fac.descuento  as facDec',
                'fac.id  as facid',
                'fac.descripcion as facDes',
                'fac.tipo'
            )
            ->whereDate('ven.created_at', date('Y-m-d'))
            // ->where('ven.mayorista' ,'!=', true)
            ->get();

        $fac = Factura::whereDate('created_at', date('Y-m-d'))->get();

        $descuentosG = 0;
        foreach ($fac as $f) {
            $descuentosG += $f->descuento;
        }

        return view('admin.reports.ventas.dia', ['ventas' => $ventas, 'descuentosG' => $descuentosG, 'facturas' => $fac]);
    }

    // ultimos movimientos
    public function movimientos()
    {
        $ventas = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.descuento',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'art.p_costo',
                'fac.total as facTotal',
                'fac.descuento  as facDec',
                'fac.id  as facid',
                'fac.descripcion as facDes'
            )
            ->whereDate('ven.created_at', date('Y-m-d'))
            // ->where('ven.mayorista' ,'!=', true)
            ->take(15)
            ->get();


        return view('admin.reports.ventas.dia', ['ventas' => $ventas]);
    }


    // retorna la vista para las estadisticas
    public function estadistica(Request $request)
    {
        // $estadisticasano = $this->estadis();
        // $masVendidos = $this->masVendidos();
        // return view('admin.reports.ventas.estadistica', ['datos' => $estadisticasano, 'masVendidos' => $masVendidos, 'clientes' => $this->clientesPremium()]);

        $mas_vendido =  Ventas::leftjoin('articulos as arti', 'venta_articulos.articulo_id', '=', 'arti.id')
            ->select(DB::raw('SUM(venta_articulos.cantidad) as total'), 'arti.nombre')
            ->whereBetween('venta_articulos.created_at', [$request->inicio, $request->fin])
            ->groupby('articulo_id')
            ->get();

        // dd($mas_vendido);

        return view('admin.reports.ventas.newestadistica', compact('mas_vendido'));
    }

    // retorna los datos de entradas de efectico
    // para construir las graficas estadisticass
    public function estadis()
    {

        $ventasEnero = $this->ventasMes(1);
        $ventasFebrero = $this->ventasMes(2);
        $ventasMarzo = $this->ventasMes(3);
        $ventasAbril = $this->ventasMes(4);
        $ventasMayo = $this->ventasMes(5);
        $ventasJunio = $this->ventasMes(6);
        $ventasJulio = $this->ventasMes(7);
        $ventasAgosto = $this->ventasMes(8);
        $ventasSptiembre = $this->ventasMes(9);
        $ventasOctubre = $this->ventasMes(10);
        $ventasNoviembre = $this->ventasMes(11);
        $ventasDiciembre = $this->ventasMes(12);
        $totales = array();
        $total1 = 0;
        $total2 = 0;
        $total3 = 0;
        $total4 = 0;
        $total5 = 0;
        $total6 = 0;
        $total7 = 0;
        $total8 = 0;
        $total9 = 0;
        $total10 = 0;
        $total11 = 0;
        $total12 = 0;

        foreach ($ventasEnero as $venta) {
            $total1 = $total1 +  $venta->cuadre;
        }
        foreach ($ventasFebrero as $venta) {
            $total2 = $total2 +  $venta->cuadre;
        }
        foreach ($ventasMarzo as $venta) {
            $total3 = $total3 +  $venta->cuadre;
        }

        foreach ($ventasAbril as $venta) {
            $total4 = $total4 +  $venta->cuadre;
        }
        foreach ($ventasMayo as $venta) {
            $total5 = $total5 +  $venta->cuadre;
        }
        foreach ($ventasJunio as $venta) {
            $total6 = $total6 +  $venta->cuadre;
        }
        foreach ($ventasJulio as $venta) {
            $total7 = $total7 +  $venta->cuadre;
        }
        foreach ($ventasAgosto as $venta) {
            $total8 = $total8 +  $venta->cuadre;
        }
        foreach ($ventasSptiembre as $venta) {
            $total9 = $total9 +  $venta->cuadre;
        }
        foreach ($ventasOctubre as $venta) {
            $total10 = $total10 +  $venta->cuadre;
        }
        foreach ($ventasNoviembre as $venta) {
            $total11 = $total11 +  $venta->cuadre;
        }
        foreach ($ventasDiciembre as $venta) {
            $total12 = $total12 +  $venta->cuadre;
        }


        array_push($totales, $total1, $total2, $total3, $total4, $total5, $total6, $total7, $total8, $total9, $total10, $total11, $total12);


        return $totales;
    }

    // retorna  los cuadres de caja por mes
    public function ventasMes($mes)
    {
        $data =
            DB::table('cuadre')
            ->whereMonth('created_at', $mes)
            ->whereYear('created_at', date('Y'))
            ->get();
        return $data;
    }


    // retorna un listadode articulos mas vendidos
    public function masVendidos()
    {
        $data =  DB::table('venta_articulos')
            ->join('articulos as art', 'venta_articulos.articulo_id', '=', 'art.id')
            ->select(DB::raw('COUNT(venta_articulos.articulo_id) as idArticulo'), 'venta_articulos.factura_id', 'art.nombre', 'art.descripcion')
            ->groupBy('venta_articulos.articulo_id')
            ->orderBy(DB::raw('venta_articulos.articulo_id'), 'desc')
            ->limit(15)
            ->get();
        $data2 = array();
        foreach ($data as $d) {
            array_push($data2, $d);
        }
        return $data2;
    }

    // retorna un listado de los clientes mas grecuentes
    public function clientesPremium()
    {
        // cliente_id

        return  DB::table('venta_articulos')
            ->join('clientes', 'venta_articulos.cliente_id', '=', 'clientes.id')
            ->select(DB::raw('COUNT(venta_articulos.cliente_id) as idcliente'), 'venta_articulos.factura_id', 'clientes.nombre')
            ->where('cliente_id', '!=', 14)
            ->groupBy('venta_articulos.cliente_id')
            ->orderBy(DB::raw('venta_articulos.cliente_id'), 'desc')
            ->limit(10)
            ->get();
    }

    public function movimientoMes()
    {
        $dias = array();
        for ($i = 0; $i < 32; $i++) {
            $data =
                DB::table('cuadre')
                ->whereDay('created_at', $i)
                ->whereMonth('created_at', date('m'))
                ->whereYear('created_at', date('Y'))
                ->get();
            array_push($dias, $data);
        }
        return $dias;
    }

    // retorna las ventas filtradas por fecha de forma simple
    public function fucturasSimples(Request $request)
    {
        $fac = DB::table('facturas as fac')
            ->select('fac.*')
            ->whereBetween('created_at', [$request->desde, $request->hasta])
            ->get();
        return view('admin.reports.ventas.facturassimples', ['data' => $fac]);
    }

    // ventas por fecha 
    public function ventasToDate(Request $data)
    {
        $ventas = DB::table('venta_articulos AS ven')
            ->join('clientes AS cli', 'ven.cliente_id', '=', 'cli.id')
            ->join('articulos AS art', 'ven.articulo_id', '=', 'art.id')
            ->join('facturas AS fac', 'ven.factura_id', '=', 'fac.id')
            ->select(
                'ven.id',
                'ven.factura_id',
                'ven.articulo_id',
                'ven.cantidad',
                'ven.cliente_id',
                'ven.total',
                'ven.descuento',
                'ven.credito',
                'ven.created_at as fechaVenta',
                'cli.nombre',
                'cli.direccion',
                'cli.telefono1',
                'cli.telefono2',
                'art.nombre as nomArt',
                'art.cod_barras',
                'art.descripcion',
                'art.p_venta',
                'art.p_costo',
                'fac.total as facTotal',
                'fac.descuento  as facDec',
                'fac.id  as facid',
                'fac.descripcion as facDes',
                'fac.tipo'
            )
            ->whereBetween('ven.created_at', [$data->inicio, $data->fin])
            ->get();


        $total = 0;
        foreach ($ventas as $ven) {
            $total = $ven->total + $total;
            // echo $total, '.', $ven->total, '<br>';
        }

        $fac = Factura::whereBetween('created_at', [$data->inicio, $data->fin])
            ->get();

        $descuentosG = 0;
        foreach ($fac as $f) {
            $descuentosG += $f->descuento;
        }

        return view('admin.reports.ventas.ventas', [
            'descuentosG' => $descuentosG,
            'ventas' => $ventas,
            'total' => $total,
            'mes' => $data->mes,
            'ano' => $data->ano,
            'facturas' => $fac
        ]);
    }

    // elimina un articulo de una ventas en especifico
    public function delete_articulo_venta($id)
    {

        $ventas = Ventas::find($id);

        $articulo = Articulo::find($ventas->articulo_id);
        $articulo->stock += $ventas->cantidad;

        $articulo->save();
        $ventas->delete();

        return back()->with(['info' => 'Venta Eliminada con Exito', 'color' => 'success']);
    }

    // asigna un credito a un cliente 
    public function createDeudaToClient($cliente_id, $total, $factura_id, $des)
    {
        $fecha_actual = date("d-m-Y");
        $deu = new DeudaCliente();
        $deu->cliente_id = $cliente_id;
        $deu->descripcion = implode(" ", $des);
        $deu->fecha_pago = date("Y-m-d", strtotime($fecha_actual . "+ 8 days"));
        $deu->total = $total;
        $deu->save();


        $cli = Cliente::findOrFail($cliente_id);
        $cli->deuda += $total;
        $cli->save();


        $caja = new Caja();
        $caja->valor = $total;
        $caja->descripcion = "CREDITO DE $cli->nombre por: $factura_id";
        $caja->operacion = 'd';
        $caja->fecha = date('Y-m-d');
        $caja->user_id = Auth::user()->id;
        $caja->save();

        // anadimos la descripcion de crediro en abono

    }
}
