@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection

@section('content')
<div class="container-fluid mb-4">
    <div class="row">

        
        <div class="table-responsive  table-responsive mb-5">
                <table class="table table-data table-hover" id="table_id" data-page-length="40">
                    <thead style=" cursor: pointer;">
                        <tr style="background-color: black; color:white;">
                            <th style="color: white;">Nombre <i class="fa fa-sort"></i> </th>
                            <th style="color: white;">Descripcion <i class="fa fa-sort"></i> </th>
                            <th style="color: white;">Categoria <i class="fa fa-sort"></i></th>
                            <th style="color: white;">Precio Venta <i class="fa fa-sort"></i></th>
                            <th style="color: white;">Stock <i class="fa fa-sort"></i></th>
                            <th style="color: white;">Minimo Stock <i class="fa fa-sort"></i></th>
                            <th style="color: white;">Codigo de Barras <i class="fa fa-sort"></i></th>
                            <th style="color: white;"></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($articulos as $art)
                        @if ($art->stock < $art->min_stock)

                        <tr class="tr-shadow @if ($art->stock < $art->min_stock)
                            bg-info text-white
                        @endif">
                            <td>{{$art->nombre}}</td>
                            <td>@php
                                echo $art->descripcion;
                                @endphp</td>
                            <td>{{$art->nomCat}}</td>
                            <td>Q. {{number_format($art->p_venta, 2)}}</td>
                            <td>{{$art->stock}}</td>
                            <td><span class="badge badge-warning" style="    background-color: #ff9595;font-size: 14px;color: white;">{{$art->min_stock}}</span></td>
                            <td>{{$art->cod_barras}}</td>
                            <td>

                                @can('articulos_show')
                                <a class="item btn btn-success" href="{{route('articulo.show', ['id' => $art->id])}}" data-toggle="tooltip" data-placement="top" title="Ver Datos de  {{$art->nombre}}" data-original-title="Editar {{$art->nombre}}">
                                    <i class="fa fa-eye" style="color:white;" aria-hidden="true"></i>
                                </a>
                                @endcan

                                @can('articulos_delete')
                                <a class="item btn btn-danger" data-toggle="tooltip" data-placement="top" title="Eliminar {{$art->nombre}}" onclick="return confirm('Esta Seguro de Eliminar' )" data-original-title="Eliminar {{$art->nombre}}" href="{{route('articulo.delete', ['id' => $art->id])}}">
                                    <i class="fa fa-trash" aria-hidden="true"></i>
                                </a>
                                @endcan

                            </td>
                        </tr>
                        @endif
                        @endforeach
                    </tbody>
                </table>
            </div>

            

    </div>
</div>

@endsection

@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>
<script>
    $(document).ready(function() {
        $('#table_id').DataTable({
            "language": {
                'info': '_TOTAL_ REGISTROS',
                'search': 'BUSCAR',
                'paginate': {
                    'next': 'SIGUIENTE',
                    'previous': 'ATRAS'
                },
                'loadingRecords': 'CARGANDO',
                'emptyTable': 'NO EXISTEN DATOS',
                'zeroRecords': 'NO EXISTEN DATOS IGUALES'
            }
        });
    });
</script>
@endsection