@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection


@section('content')
<div class="container-fluid mb-4">
    <div class="card">
        <div class="card-body">

            <div class="d-flex justify-content-sm-between">
                <h3 class="card-title">FILTRAR COMPRAS</h3>



                <form class="form-inline mb-5" method="GET" action="{{route('articulo.comprarHisto')}}">
                    <div class="form-group">
                        <label for="">INICIO: </label>
                        <input type="date" name="inicio" class="form-control">
                    </div>
                    <div class="form-group ml-4">
                        <label for="">FIN: </label>
                        <input type="date" name="fin" class="form-control">
                    </div>
                    <button type="submit" class="btn btn-info ml-4"><i class="fa fa-search" aria-hidden="true"></i></button>
                </form>

                @can('articulos_compra_store')
                <div class=""><a class="btn btn-primary" href="{{route('articulo.comprar')}}"> <i class="fa fa-plus" aria-hidden="true"></i> Registrar Compra</a></div>
                @endcan

            </div>

            @if ($show)
            <div class="row">
                <div class="col">
                    <div class="table-responsive">
                        <table class="table" id="table_id">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>ARTICULO</th>
                                    <th>FACTURA DE COMPRA</th>
                                    <th>CANTIDAD</th>
                                    <th>USUARIO</th>
                                    <th>FECHA DE COMPRA</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($articlos as $art)
                                <tr>
                                    <td>{{$art->idCom}}</td>
                                    <td>{{$art->nombre}}, <?php echo $art->descripcion ?></td>
                                    <td>{{$art->factura}}</td>
                                    <td>{{$art->cantidad}}</td>
                                    <td>{{$art->name}}</td>
                                    <td>{{$art->fecha}}</td>
                                </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            @endif
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>
<script>
    $(document).ready(function() {
        $('#table_id').DataTable({
            "language": {
                'info': '_TOTAL_ REGISTROS',
                'search': 'BUSCAR',
                'paginate': {
                    'next': 'SIGUIENTE',
                    'previous': 'ATRAS'
                },
                'loadingRecords': 'CARGANDO',
                'emptyTable': 'NO EXISTEN DATOS',
                'zeroRecords': 'NO EXISTEN DATOS IGUALES'
            }
        });
    });
</script>
@endsection