@extends('layouts.admin')
@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css')}}">
@endsection



@section('content')

<div class="container-fluid mb-5">
    <div class="row">
        <div class="col">
            <div class="card p-4">
                <h4 class="card-title text-uppercase">reporte de clientes</h4>

                <div class="row">
                    <div class="col-md-4">
                        <div class="card text-white" style="background-color: #20d894 !important;">

                            <center>
                                <img style="width: 30%;height: 30%;" class="card-img-top img-fluid my-2" width="30%" height="30%" src="{{asset('assets/images/users.png')}}">
                            </center>

                            <div class="card-body">

                                <h4 class="card-title text-capitalize text-center">todos los clientes </h4>
                                <p class="card-text text-center">Imprime un Listado de todos los Clientes Registrados</p>

                                <div class="text-right mt-2">
                                    <a target="_blank" class="btn btn-dark" href="{{route('cliente.reportesAllClientes')}}" role="button"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</a>
                                </div>

                            </div>
                        </div>
                    </div>
                    @can('cliente.report')
                    <!-- <div class="col-md-6">
                    <div class="card text-white" style="background-color: #d26d6d !important;">
                        <center>
                            <img style="width: 30%;height: 30%;" class="card-img-top img-fluid my-2" width="30%" height="30%" src="{{asset('assets/images/userdeu.png')}}">
                        </center>

                        <div class="card-body">


                            <h4 class="card-title text-capitalize text-center">clientes con deudas </h4>
                            <p class="card-text text-center">Imprime un Listado de todos los Clientes que posean una <b>Deuda</b> </p>

                            <div class="text-right mt-2">
                                <a  target="_blank" class="btn btn-dark" href="{{route('cliente.reportesDeudores')}}" role="button"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</a>
                            </div>

                        </div>
                    </div>
                </div> -->
                    @endcan

                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">COMPRAS</h4>
                                <p class="card-text">RETORNA EL REPORTE VENTAS REALIZADOAS A UN CLIENTE</p>
                                <form action="{{route('cliente.ventas_to_cliente')}}" method="post">
                                    @csrf

                                    <select name="cliente_id" id="cliente_id">
                                        @foreach ($clientes as $c)
                                        <option value="{{$c->id}}">{{$c->nombre}}, {{$c->telefono1}}</option>
                                        @endforeach
                                    </select>

                                    <div class="form-group">
                                        <label for="">De (Fecha de Inicio): </label>
                                        <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Hasta (Fecha de Final): </label>
                                        <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                                    </div>
                                    <button class="btn btn-dark" type="submit"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
</div>

@endsection


@section('scripts')
<script src="{{asset('plugins/slim-select/slimselect.min.js')}}"></script>

<script>
    new SlimSelect({
        select: '#cliente_id'
    });
</script>
@endsection