@extends('layouts.app')
@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col">
            <h4 class="card-title text-center display-4"><img src="{{asset('assets/images/logo.png')}}" class="img-fluid" alt="{{config('app.name', 'LIBRERIA ELY') }}"> <br> Salida de Articulos </h4>
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover" id="table_id" data-page-length="15">
                        <thead>
                            <tr>
                                <th>ARTICULO</th>
                                <th>LOCAL </th>
                                <th>VALOR DE SALIDA</th>
                                <th>FECHA DE SALIDA</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($data as $d)
                            <tr>
                                <td>{{$d->articulo->nombre}} <?php echo $d->articulo->descripcion ?></td>
                                <td> {{$d->local}}</td>
                                <td> {{number_format($d->total, 0)}}</td>
                                <td>{{$d->created_at}}</td>
                                <td>
                                  <form action="{{route('salidasa.destroy', $d->id)}}" method="post">
                                    @csrf
                                    @method('delete')
                                    <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                                  </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection