@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col  ">
            <div align="center">
                <img src="{{asset('assets/images/logo.jpg')}}" class="img-fluid rounded-circle mt-4" width="20%" height="350px" alt="">
                <p class="text-decoration-none"></p>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col mt-4">
            <h4 class="display-4 text-capitalize text-center"> Articulos Vendidos </h4>
        </div>
    </div>
    <div class="row my-4">
        <div class="col">
            <table class="table table-hover" id="deudas" data-page-length="15">
                <thead>
                    <tr>
                        <th>Rec. / Tipo</th>
                        <th>Articulo </th>
                        <th>Precio Venta</th>
                        <th>Precio Costo</th>
                        <th>Utilidad / Unitaria</th>
                        <th>Cantidad Vendida</th>
                        <th>Descuento</th>
                        <th>Total Con Descuento</th>
                        <th>Ganancia</th>
                        <th>Fecha / Hora de Venta</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php

                    $utilidad = 0;
                    $totalVentasS = 0;
                    $inversion = 0;
                    ?>
                    @foreach($ventas as $deu)
                    <?php
                    $totalVentasS += ($deu->p_venta *  $deu->cantidad);
                    $inversion += ($deu->p_costo * $deu->cantidad);
                    $utilidad += ($deu->p_venta * $deu->cantidad ) - ($deu->p_costo * $deu->cantidad) - $deu->descuento;
                    $total_con_desucneto = ($deu->total  * $deu->cantidad) - ($deu->descuento)
                    ?>
                    <tr>
                        <td>{{$deu->factura_id}} / {{$deu->tipo}}</td>
                        <td>{{$deu->nomArt}} / <?php echo $deu->descripcion; ?></td>
                        <td>Q. {{number_format($deu->p_venta, 2)}}</td>
                        <td>Q. {{number_format($deu->p_costo, 2)}}</td>
                        <td>Q. {{number_format($deu->p_venta - $deu->p_costo, 2)}}</td>
                        <td>{{$deu->cantidad}}</td>
                        <td>Q. {{number_format($deu->descuento, 2)}}</td>
                        <td>Q. {{ number_format(($deu->p_venta * $deu->cantidad ) - $deu->descuento , 2) }}</td> <!-- total con descuento !-->
                        <td>Q. {{ ($deu->p_venta * $deu->cantidad ) - ($deu->p_costo * $deu->cantidad) - $deu->descuento}} </td>
                        <td>{{$deu->fechaVenta}}</td>
                        <td><a class="btn btn-danger" href="{{route('venta.delete_articulo_venta', $deu->id)}}" onclick="return confirm('Esta Seguro de Eliminar?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                    </tr>
                    @endforeach
                </tbody>
            </table>

        </div>
    </div>

    <p>DESCUENTOS</p>

    <table class="table table-sm">
        <thead class="thead-inverse">
            <tr>
                <th class="text-right">FACTURA </th>
                <th class="text-right">TOTAL</th>
                <th class="text-right">DESCUENTO</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $descuentosG = 0;
            ?>
            @foreach ($facturas as $f )
            <?php $descuentosG += $f->descuento ?>
            <tr>
                <td class="text-right">{{$f->id}}</td>
                <td class="text-right">{{number_format($f->total, 2)}}</td>
                <td class="text-right">{{number_format($f->descuento, 2)}}</td>
            </tr>
            @endforeach
        </tbody>
    </table>


    <div class="row" style="text-align: right;">
        <div class="col">
            <p class="text-right text-info h3">
            <p class="h3">Total en Ventas (esperadas) : Q. {{ number_format($totalVentasS, 2) }} </p>
            <p class="h3">Total en Inversion : Q. {{ number_format($inversion, 2) }} </p>
            <p class="h3">Total en Ganancia Esperada : Q. {{ number_format($totalVentasS - $inversion, 2) }}</p>
            <p class="h3">Total en Descuentos : Q. {{ number_format($descuentosG, 2) }} </p>
            <p class="h3">Ganancias : Q. {{number_format($utilidad - $descuentosG, 2)}} </p>

            </p>
        </div>
    </div h3>
    <hr>

</div>

@endsection