@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection


@section('content')

<div class="container">
  <div class="row">
    <div class="col">

      <div class="card">
        <img class="card-img-top" src="holder.js/100x180/" alt="">
        <div class="card-body">
          <p class="text-center card-title">REGISTRO DE SALIDA DE ARTICULOS</p>
          <form action="{{route('salidasa.store')}}" method="post">
            @csrf

            <select name="articulo_id" id="articulo_id">
              @foreach ($data as $d)
              <option value="{{$d->id}}">{{$d->nombre}}, <?php echo $d->descripcion;?> , Stock: {{$d->stock}}</option>
              @endforeach
            </select>

            <div class="form-group">
              <label for="">LOCAL: </label>
              <select class="form-control" name="local" id="">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
              </select>
            </div>

            <div class="form-group">
              <label for="">VALOR:</label>
              <input type="number" class="form-control" name="total">
            </div>

            <button type="submit" class="btn btn-primary"><i class="fas fa-save    "></i> GUARDAR</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection

@section('scripts')

<script src="{{asset('compras/articulos.js')}}"></script>

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>
<script>
  setTimeout(function() {
    new SlimSelect({
      select: '#articulo_id',
      placeholder: 'Seleccione Su Articulo',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
    })
  }, 300);
</script>

@endsection