@extends('layouts.admin')
@section('content')
<div class="container-fluid mb-5">
  <div class="row">
    <div class="col">
      <div class="card p-4">
        <h4 class="card-title text-uppercase">reporte de ventas</h4>

        <div class="row">
          <div class="col-md-6">
            <div class="card text-white" style="background-color: #20d894 !important;">

              <center>
                <img style="width: 30%;height: 100%;" class="card-img-top img-fluid my-2" width="30%" height="100%" src="{{asset('logos/images/artall.png')}}">
              </center>

              <div class="card-body">

                <h4 class="card-title text-capitalize text-center">todas las ventas </h4>
                <p class="card-text text-center">Imprime un listado de todas las ventas</p>

                <div class="text-right mt-2">
                  <form action="{{route('venta.reportesAll')}}" method="get">

                    <select name="ano" class="form-control mb-2">
                      <option value="">Seleccione Año</option>
                      @for($i = 2022; $i < 2050; $i ++) <option value="{{$i}}">Año: {{$i}}</option>
                        @endfor
                    </select>

                    <select name="mes" class="form-control mb-2">
                      <option selected hidden>Mes</option>
                      <option value="01">Enero</option>
                      <option value="02">Febrero</option>
                      <option value="03">Marzo</option>
                      <option value="04">Abril</option>
                      <option value="05">Mayo</option>
                      <option value="06">Junio</option>
                      <option value="07">Julio</option>
                      <option value="08">Agosto</option>
                      <option value="09">Septiembre</option>
                      <option value="10">Octubre</option>
                      <option value="11">Noviembre</option>
                      <option value="12">Diciembre</option>
                    </select>

                    <button class="btn btn-dark" type="submit"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</button>

                  </form>
                </div>

              </div>
            </div>
          </div>

          <div class="col-md-6 mt-md-2">

            <div class="card text-white" style="background-color: #9399e9 !important">

              <center>
                <img style="width: 30%;height: 100%;" class="card-img-top img-fluid my-2" width="30%" height="100%" src="{{asset('logos/images/artall.png')}}">
              </center>

              <div class="card-body">

                <h4 class="card-title text-capitalize text-center">VENTAS </h4>
                <p class="card-text text-center">IMPRIMER EL REPORTE DE VENTAS FILTRADAS POR FECHA DE INICIO Y FECHA FINAL</p>

                <div class="text-right mt-2">
                  <form action="{{route('venta.ventasToDate')}}" method="POST">
                    @csrf()
                    <div class="form-group">
                      <label for="">De (Fecha de Inicio): </label>
                      <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                    </div>
                    <div class="form-group">
                      <label for="">Hasta (Fecha de Final): </label>
                      <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                    </div>

                    <button class="btn btn-dark" type="submit"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</button>

                  </form>
                </div>

              </div>
            </div>

          </div>

          <div class="col-md-6 mt-2">
            <div class="card text-white" style="background-color: #caa7e5 !important">
              <center>
                <img style="width: 30%;height: 100%;" class="card-img-top img-fluid my-2" width="30%" src="{{asset('logos/images/artstock.png')}}">
              </center>

              <div class="card-body">

                <h4 class="card-title text-capitalize text-center">Ventas Del Dia </h4>
                <p class="card-text text-center">Imprime un Listado de todas las ventas del <b>Dia</b> </p>

                <div class="text-right mt-2">


                  <a name="" class="btn btn-primary" href="{{route('venta.diaReport')}}"> <i class="fa fa-print" aria-hidden="true"></i> Imprimir Reporte </a>


                </div>

              </div>
            </div>
          </div>

          <div class="col-md-6 mt-2">
            <div class="card text-white" style="background-color: coral !important;">
              <center>
                <img style="width: 30%;height: 100%;" class="card-img-top img-fluid my-2" width="30%" src="{{asset('logos/images/artstock.png')}}">
              </center>

              <div class="card-body">

                <h4 class="card-title text-capitalize text-center">Graficas Estadisticas </h4>
                <p class="card-text text-center">Imprime un Submodulo de Control Estadistico </p>

                <div class="text-right mt-2">

                  <form action="{{route('venta.estadistica')}}" method="GET">
                    <div class="form-group">
                      <label for="">De (Fecha de Inicio): </label>
                      <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                    </div>
                    <div class="form-group">
                      <label for="">Hasta (Fecha de Final): </label>
                      <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                    </div>
                    <button class="btn btn-dark" type="submit"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</button>
                  </form>
                </div>
              </div>
            </div>
          </div>

          <div class="col-md-6 mt-md-2">

            <div class="card text-white" style="background-color: #9399e9 !important">

              <center>
                <img style="width: 30%;height: 100%;" class="card-img-top img-fluid my-2" width="30%" height="100%" src="{{asset('logos/images/artall.png')}}">
              </center>

              <div class="card-body">

                <h4 class="card-title text-capitalize text-center">VENTAS </h4>
                <p class="card-text text-center">Imprime un listado de todas las ventas FILTRADAS POR DIA DE FORMA COMPIRMIDA Y SISMPLE</p>

                <div class="text-right mt-2">
                  <form action="{{route('venta.fucturasSimples')}}" method="POST">
                    @csrf()
                    <div class="form-group">
                      <label for="">De (Fecha de Inicio): </label>
                      <input type="date" class="form-control" name="desde" placeholder="Fecha de Inicio" required>
                    </div>
                    <div class="form-group">
                      <label for="">Hasta (Fecha de Final): </label>
                      <input type="date" class="form-control" name="hasta" placeholder="Fecha de Fin" required>
                    </div>

                    <button class="btn btn-dark" type="submit"><i class="fa fa-print" aria-hidden="true"></i>Imprimir</button>

                  </form>
                </div>

              </div>
            </div>

          </div>

        </div>
      </div>
    </div>
  </div>
</div>
@endsection