<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="robots" content="noindex,nofollow">
    <title>{{config('app.name')}}</title>
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('logos/logo.icon')}}">

    <link rel="stylesheet" href="{{asset('theme/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{asset('theme/style.css')}}">
    <link rel="stylesheet" href="{{asset('theme/jquery.scrollbar.css')}}">
    <!-- fontawesome -->
    <script src="{{asset('plugins/fontaweson/fontaws.js')}}" crossorigin="anonymous"></script>
    @yield('styles')
</head>

<body>


    @include('partial.admin.preload')

    <div id="pcoded" class="pcoded">
        <div class="pcoded-overlay-box"></div>
        <div class="pcoded-container navbar-wrapper">

            @include('partial.admin.header')

            <div class="pcoded-main-container">
                <div class="pcoded-wrapper">

                    @include('partial.admin.navbar')

                    <div class="pcoded-content">
                        <div class="pcoded-inner-content">
                            <div class="main-body">
                                @include('partial.admin.alert')
                                @yield('content')
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

    </div>


    <!--**********************************
        Scripts
    ***********************************-->

    <script src="{{asset('theme/jquery.min.js')}}"></script>
    <script src="{{asset('theme/jquery-ui.min.js')}}"></script>
    <script src="{{asset('theme/popper.min.js')}}"></script>
    <script src="{{asset('theme/bootstrap.min.js')}}"></script>
    <script src="{{asset('theme/classie.js')}}"></script>
    <script src="{{asset('theme/script.js')}}"></script>
    <script src="{{asset('theme/pcoded.min.js')}}"></script>
    <script src="{{asset('theme/demo-12.js')}}"></script>
    <script src="{{asset('theme/jquery.mCustomScrollbar.concat.min.js')}}"></script>

    @yield('scripts')
</body>

</html>